Outlook inline image replace [cid:..] by redmine !inline image!

2013-09-19 08:17 - Luc Vandenbroucke

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid   

Description

When receiving an outlook mail,

if

[cid:image001.png@01CEB495.D0962270]

would be replaced by

!image001.png!

It would just be perfect!

History

#1 - 2013-09-19 12:40 - Etienne Massip

What's the point??

#2 - 2013-09-19 12:44 - Luc Vandenbroucke

I send a mail with screen shots to redmine.

Now, the screen shots become attachments like image001.png, this is ok, but the place where the image was becomes the text [cid:

image001.png@01CEB495.D0962270].

What I do now, every time is change all descriptions like

[cid:image001.png@01CEB495.D0962270] to image001.png , and it looks like the original.

#3 - 2013-09-20 14:20 - Jan Niggemann (redmine.org team member)

- Status changed from New to Needs feedback

I don't think this should be in redmine core, every mail system does things differently...

We had the same idea and wrote a plugin that uses regex to achieve the replacement (plain_text_body from mail_handler.rb):

module MailHandlerPatch

  def self.included(base)

    base.send(:include, InstanceMethods)

    base.class_eval do

      alias_method_chain :plain_text_body, :notes_cleanup

    end

  end

  module InstanceMethods

    def plain_text_body_with_notes_cleanup

      body = plain_text_body_without_notes_cleanup

      body.gsub! /\(Embedded image moved to file: (.*)\)/, '!\1!'

      body.gsub! 

/^\|------------>\s*?\n\| ([^|]*)\|\s*?\n\|------------>\s*?\n  >-{80,}\|\s*?\n  \|([^|]*)\|\s*?\n  >-{80,}\|/

m, '|\1|\2|'

      body

    end

  end

end

 This converts the stuff our Lotus Notes uses to image.ext 
#4 - 2013-09-20 14:30 - Luc Vandenbroucke

You are completely right, and thanks for the code.

I will make this work for outlook.

#5 - 2013-09-23 22:14 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

#6 - 2015-07-21 11:25 - Heiko Robert

has anybody written already a patch/plugin for the outlook use case?

#7 - 2015-08-20 08:18 - Toshi MARUYAMA

- Category set to Email receiving

#8 - 2015-08-21 12:29 - Michael Ziegler

i would also need a patch/plugin receiving outlook emails :-)
